Package Details: libgnomeprint 2.18.8-9

Git Clone URL: https://aur.archlinux.org/libgnomeprint.git (read-only, click to copy)
Package Base: libgnomeprint
Description: Printing routines for GNOME
Upstream URL: http://www.gnome.org/
Keywords: cups gnome libgnomeprint printing
Licenses: GPL, LGPL
Conflicts: libgnomeprint-cups
Replaces: libgnomeprint-cups
Submitter: None
Maintainer: None
Last Packager: Popolon
Votes: 148
Popularity: 0.000686
First Submitted: 2011-12-05 15:28
Last Updated: 2020-09-28 23:40

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

xyproto commented on 2014-06-26 14:15

The Gentoo patch worked out. Removed the make dependency on bison27. Thanks, pinball-fixer.

xyproto commented on 2014-06-23 15:33

Hi pinball-fixer. The patch you link to might work out. I'll give it a shot.

pinball-fixer commented on 2014-06-23 14:06

I've got Bison 3 installed on my system (due to having Wine installed) and need libgnomeprint installed to make KiCad print.

As Bison 3 conflicts with Bison27, I am wondering if the patch below will work on Arch as well?

I have no idea how to test this, so I am hoping someone here can, or let me know how to so I can try for myself and report back.

Any help would be greatly appreciated.

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch?content-type=text%2Fplain&revision=1.1

pinball-fixer commented on 2014-06-23 13:57

I've got Bison3 installed on my system (not sure why though...) and need libgnomeprint installed to make KiCad print.

As Bison3 conflicts with Bison27, I am wondering if the patch below will work on Arch as well?

I have no idea how to test this, so I am hoping someone here can, or let me know how to so I can try for myself and report back.

Any help would be greatly appreciated.

http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/gnome-base/libgnomeprint/files/libgnomeprint-2.18.8-bison3.patch?content-type=text%2Fplain&revision=1.1

xyproto commented on 2013-12-22 12:04

Thanks, josephgbr. Updated the package.

rafaelff commented on 2013-12-20 17:10

Compilation fails when it expects to find some headers provided by freetype. This issue was reported and fixed in the bug BGO#719592 [1]. For your convenience, here is the PKGBUILD with the patch (from the the bug report) applied and the pkgrel bump.

PKGBUILD - http://paste.archlinux-br.org/2226
patch-freetype-2.5.1.diff - http://paste.archlinux-br.org/2225

[1] https://bugzilla.gnome.org/show_bug.cgi?id=719592

buzzqw commented on 2013-11-21 14:21

with new bison2.7 the compilation is working

thanks!

BHH

buzzqw commented on 2013-11-20 13:42

i686

thanks xyproto!

BHH

xyproto commented on 2013-11-20 11:38

buzzqw, the package builds and installs just fine here (x86_64). Are the packages on your system up to date? Are you on i686 or x86_64?

Anyone else have the same issue as buzzqw?

korrode commented on 2013-11-20 00:57

Sorry guys, never knew anything other than my wine-stable package referenced bison27.

I've re-uploaded and disowned it. All yours.